# Standards: 0.11
---

# 4.1 Ensure core dumps are restricted

- name: 4.1 - Check if security limits file exists
  stat:
    path: "{{ cis_security_limits_filename }}"
  register: security_limits_4_1
  tags:
    - level-1
    - section-4
    - "4.1"
    - scored

- name: 4.1 - Ensure core dumps are restricted
  copy:
    dest: "{{ cis_security_limits_filename }}"
    content: "* hard core 0\n"
  when: security_limits_4_1.stat.exists is not defined or not security_limits_4_1.stat.exists
  tags:
    - level-1
    - section-4
    - "4.1"
    - scored

- name: 4.1 - Ensure core dumps are restricted
  pam_limits:
    dest: "{{ cis_security_limits_filename }}"
    limit_item: "core"
    limit_type: "hard"
    domain: "*"
    value: "0"
  when: security_limits_4_1.stat.exists is defined and security_limits_4_1.stat.exists
  tags:
    - level-1
    - section-4
    - "4.1"
    - scored

- name: 4.1 - Prevent suid programs from dumping core
  ignore_errors: yes
  sysctl:
    ignoreerrors: yes
    name: fs.suid_dumpable
    value: 0
    state: present
  tags:
    - level-1
    - section-4
    - "4.1"
    - scored